# BreakoutGameScene Class Reference

`#include <BreakoutGameScene.h>`

Inheritance diagram for BreakoutGameScene:

List of all members.

## Public Member Functions
| BreakoutGameScene ()
| ~BreakoutGameScene ()
virtual void | Initialise ()
virtual void | Draw ()
virtual void | Update ()
virtual void | Shutdown ()
virtual void | Activate ()
virtual void | Deactivate ()
virtual bool | HandleEvent (IEvent *pEvent)
void | CheckGameConditions ()
void | StartNewLevel ()
void | Reset ()
## Protected Types
enum | eLevelStatus { eLevelStarting = 0, eLevelPlaying, eLevelEnding }
## Protected Attributes
bool | m_bIsActive
BreakoutBall * | m_pBall
BreakoutPaddle * | m_pPaddle
BreakoutWorldBoundaries * | m_pWorldBoundaries
SpriteID | m_bgSprite
SpriteID | m_startLevelText
SpriteID | m_endLevelText
SpriteID | m_livesLabel
BreakoutLocationArray * | m_pBoxLocations
std::vector < IBreakoutLevelGenerator * > | m_levelGenerators
BreakoutLevel * | m_pCurrentLevel
BreakoutScoreCounter * | m_pScoreCounter
BreakoutScoreCounter * | m_pLevelCounter
BreakoutScoreCounter * | m_pLivesCounter
eLevelStatus | m_levelStatus
unsigned int | m_statusChangeTime
int | m_deathLineY
int | m_playerLives
int | m_playerScore
int | m_levelNumber

## Detailed Description

Definition at line 16 of file BreakoutGameScene.h.

## Member Enumeration Documentation

enum BreakoutGameScene::eLevelStatus`[protected]`

Enumerator:

  eLevelStarting |
  eLevelPlaying |
  eLevelEnding |

Definition at line 37 of file BreakoutGameScene.h.

## Constructor & Destructor Documentation

BreakoutGameScene::BreakoutGameScene | ( |  | ) |

Definition at line 16 of file BreakoutGameScene.cpp.

BreakoutGameScene::~BreakoutGameScene | ( |  | ) |

Definition at line 25 of file BreakoutGameScene.cpp.

## Member Function Documentation

void BreakoutGameScene::Activate | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 242 of file BreakoutGameScene.cpp.

void BreakoutGameScene::CheckGameConditions | ( |  | ) |

Definition at line 136 of file BreakoutGameScene.cpp.

void BreakoutGameScene::Deactivate | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 248 of file BreakoutGameScene.cpp.

void BreakoutGameScene::Draw | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 187 of file BreakoutGameScene.cpp.

bool BreakoutGameScene::HandleEvent | ( | IEvent * | pEvent | ) | `[virtual]`

Implements IEventListener.

Definition at line 253 of file BreakoutGameScene.cpp.

void BreakoutGameScene::Initialise | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 30 of file BreakoutGameScene.cpp.

void BreakoutGameScene::Reset | ( |  | ) |

Definition at line 178 of file BreakoutGameScene.cpp.

void BreakoutGameScene::Shutdown | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 224 of file BreakoutGameScene.cpp.

void BreakoutGameScene::StartNewLevel | ( |  | ) |

Definition at line 161 of file BreakoutGameScene.cpp.

void BreakoutGameScene::Update | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 73 of file BreakoutGameScene.cpp.

## Member Data Documentation

SpriteID BreakoutGameScene::m_bgSprite`[protected]`

Definition at line 50 of file BreakoutGameScene.h.

bool BreakoutGameScene::m_bIsActive`[protected]`

Definition at line 44 of file BreakoutGameScene.h.

int BreakoutGameScene::m_deathLineY`[protected]`

Definition at line 59 of file BreakoutGameScene.h.

SpriteID BreakoutGameScene::m_endLevelText`[protected]`

Definition at line 50 of file BreakoutGameScene.h.

std::vector<IBreakoutLevelGenerator*> BreakoutGameScene::m_levelGenerators`[protected]`

Definition at line 53 of file BreakoutGameScene.h.

int BreakoutGameScene::m_levelNumber`[protected]`

Definition at line 61 of file BreakoutGameScene.h.

eLevelStatus BreakoutGameScene::m_levelStatus`[protected]`

Definition at line 57 of file BreakoutGameScene.h.

SpriteID BreakoutGameScene::m_livesLabel`[protected]`

Definition at line 50 of file BreakoutGameScene.h.

BreakoutBall* BreakoutGameScene::m_pBall`[protected]`

Definition at line 46 of file BreakoutGameScene.h.

BreakoutLocationArray* BreakoutGameScene::m_pBoxLocations`[protected]`

Definition at line 52 of file BreakoutGameScene.h.

BreakoutLevel* BreakoutGameScene::m_pCurrentLevel`[protected]`

Definition at line 54 of file BreakoutGameScene.h.

int BreakoutGameScene::m_playerLives`[protected]`

Definition at line 61 of file BreakoutGameScene.h.

int BreakoutGameScene::m_playerScore`[protected]`

Definition at line 61 of file BreakoutGameScene.h.

BreakoutScoreCounter * BreakoutGameScene::m_pLevelCounter`[protected]`

Definition at line 55 of file BreakoutGameScene.h.

BreakoutScoreCounter * BreakoutGameScene::m_pLivesCounter`[protected]`

Definition at line 55 of file BreakoutGameScene.h.

BreakoutPaddle* BreakoutGameScene::m_pPaddle`[protected]`

Definition at line 47 of file BreakoutGameScene.h.

BreakoutScoreCounter* BreakoutGameScene::m_pScoreCounter`[protected]`

Definition at line 55 of file BreakoutGameScene.h.

BreakoutWorldBoundaries* BreakoutGameScene::m_pWorldBoundaries`[protected]`

Definition at line 48 of file BreakoutGameScene.h.

SpriteID BreakoutGameScene::m_startLevelText`[protected]`

Definition at line 50 of file BreakoutGameScene.h.

unsigned int BreakoutGameScene::m_statusChangeTime`[protected]`

Definition at line 58 of file BreakoutGameScene.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutGameScene.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutGameScene.cpp